"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.formatForkTsCheckerMessages = void 0;
const tslib_1 = require("tslib");
const code_frame_1 = require("@babel/code-frame");
const chalk_1 = tslib_1.__importDefault(require("chalk"));
const fs = tslib_1.__importStar(require("fs"));
const os = tslib_1.__importStar(require("os"));
const env_1 = require("../util/env");
function formatForkTsCheckerMessages(error, useColors) {
    const colors = new chalk_1.default.constructor({ enabled: useColors });
    const { file } = error;
    const source = file && fs.existsSync(file) && fs.readFileSync(file, 'utf-8');
    if (source) {
        const frame = code_frame_1.codeFrameColumns(source, {
            start: {
                line: error.line,
                column: error.character,
            },
        }, {
            highlightCode: env_1.IS_INTERACTIVE && !env_1.IS_CI,
        });
        return (colors.dim(`${error.line}:${error.character} `) +
            error.content +
            colors.cyan(` (TS${error.code})`) +
            os.EOL +
            (frame ? os.EOL + frame : ''));
    }
    else {
        return '';
    }
}
exports.formatForkTsCheckerMessages = formatForkTsCheckerMessages;
//# sourceMappingURL=formatForkTsCheckerMessages.js.map